Gentoo Archives: gentoo-dev

From: "Amadeusz Żołnowski" <aidecoe@g.o>
To: Pacho Ramos <pacho@g.o>
Cc: gentoo-dev <gentoo-dev@l.g.o>
Subject: Re: [gentoo-dev] Doubts about need for "ewarn" when strip-linguas is used
Date: Tue, 06 Mar 2012 10:48:53
Message-Id: 1331030849-sup-988@ittemni
In Reply to: [gentoo-dev] Doubts about need for "ewarn" when strip-linguas is used by Pacho Ramos
Excerpts from Pacho Ramos's message of 2012-03-06 11:46:15 +0100:
> I usually read messages in /var/log/portage/elog/summary.log to simply > warn me about "es es_ES" LINGUAS not being supported by that package. > That comes from eutils.eclass inside strip-linguas: ewarn "Sorry, but > ${PN} does not support the LINGUAS:" ${nols} > > Is this warning really required, personally I know a lot of packages > that don't support spanish translations and I get no warning from them > (as they don't use strip-linguas). When I set LINGUAS variable in my > make.conf I assume a lot of packages won't support spanish > translations, and I see no point on being informed about that for some > packages using strip-linguas. > > What do you think?
+1, this warning is annoying. -- Amadeusz Żołnowski

Attachments

File name MIME type
signature.asc application/pgp-signature